CRMchat APIBeta
Telegram APIPayments

payments.getStarsGiftOptions

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getStarsGiftOptions

Obtain a list of Telegram Stars gift options » as RawStarsGiftOption constructors.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtain a list of Telegram Stars gift options » as RawStarsGiftOption constructors.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarsGiftOptions" \  -H "Content-Type: application/json" \  -d '{    "params": {}  }'
{  "result": {    "_": "starsGiftOption",    "extended": true,    "stars": "string",    "storeProduct": "string",    "currency": "string",    "amount": "string"  }}